{{!-- <fieldset class="border-top">
    <legend>{{ localize "ARS.weapons" }}</legend> --}}

<div class="general-header ars_clps {{#if (getViewState @root.actor.id "weapons")}}ars_clps_on{{/if}}"
    data-vs-control="weapons">{{ localize "ARS.weapons" }}</div>
<div class="category ars_clps_container">
    <div class="item-list">

        {{!-- weapons list --}}
        <div class="general-subheader flexrow">
            <div></div>
            <div class="item-name" style="text-align: left;">Name</div>
            <div class="item-proficient short-field" data-tooltip="Proficiency with weapon">{{#if isPC}}PR{{/if}}
            </div>
            <div class="item-speed short-field" data-tooltip="Weapon speed">SP</div>
            <div class="item-numatks" data-tooltip="Number of Attacks">#ATKS</div>
            <div class="item-damage" data-tooltip="Damage (normal/large)">DMG</div>
            <div class="item-type" data-tooltip="Damage type">Type</div>
            <div class="item-controls "></div>
        </div>

        {{#each actor.weapons as |item id|}}
            {{#if item.notAmmo}}
                {{!-- {{log "weaponlist-block.hbs item" item}} --}}
                <div class="combat-weapon-entry flexcol">
                    <li class="item flexrow weapon-combat reveal-hidden info-item {{#if item.isRanged}}{{#if (or item.ammoCount item.system.attributes.infiniteammo)}}hasAmmoLeft{{else}}noAmmoLeft{{/if}}{{/if}}"
                        data-control-type="weapon" data-id="{{item.id}}" data-uuid="{{item.uuid}}" data-type="{{item.type}}">
                        <div class="item-name rollable flexrow chatCard-roll" data-id="{{item.id}}">
                            {{#if (and @root.actor.needsInitiative @root.game.ars.config.settings.initiativeUseSpeed)}}
                                {{#if @root.actor.combat.flags.ars.beginningOfRound}}
                                    <div class="initiative-roll-speed" data-tooltip="Roll initiative" role="button"
                                        aria-label="Roll initiative">
                                        <i class="fas fa-dice"></i>
                                    </div>
                                {{/if}}
                            {{/if}}
                            <div class="item-image" tabindex="0" role="button" aria-label="{{item.name}}"
                                style="background-image: url('{{item.img}}')"></div>
                            <div class="text-trunc">{{item.name}}{{#if item.isRanged}}
                                    {{#if (or item.ammoCount item.system.attributes.infiniteammo)}}{{#if item.ammoCount}}(x{{item.ammoCount}}){{/if}}
                                    {{else}}[{{localize "ARS.no-ammo"}}]{{/if}}{{/if}}
                            </div>
                        </div>
                        <div class="item-proficient short-field  text-trunc">
                            {{#if @root.isPC}}{{#if item.system.proficient}}<i class="fas fa-thumbs-up"
                                        data-tooltip="+++ Proficient with weapon">
                                {{else}}<i class="click-prof-missing fas fa-exclamation-triangle"
                                        data-tooltip="*** NOT proficient with weapon. CLICK if you wish to add proficiency">{{/if}}</i>{{/if}}
                        </div>
                        <div class="item-speed short-field">{{item.speed}}</div>

                        <div class="item-numatks text-trunc">
                            {{item.bestAttackRate~}}
                        </div>

                        <div class="item-damage text-trunc">
                            {{item.system.damage.normal~}}
                            {{~#if item.system.damage.large~}}
                                /{{item.system.damage.large~}}
                                {{~/if~}}
                        </div>
                        <div class="item-type text-trunc">
                            {{item.system.damage.type~}}
                            {{~#each item.system.damage.otherdmg as |dmg|}}
                                /{{dmg.type~}}
                                {{~/each~}}
                        </div>
                        <div class="item-controls ">
                            <a class="item-control item-edit hidden" data-tooltip="Edit Item"><i
                                    class="fas fa-edit"></i></a>
                            <a class="item-control item-delete hidden" data-tooltip="Delete Item"><i
                                    class="fas fa-trash"></i></a>
                        </div>
                    </li>
                    {{#if item.isRanged}}
                        <div style="text-align:center;font-size:0.75em;" class="ammo-container"
                            data-tooltip="#{{item.ammoCount}}">
                            <label class="ammo-label">{{localize "ARS.ammo"}}</label>
                            {{#if item.system.attributes.infiniteammo}}
                                <div class="ammo-infinite"><i class="fa fa-infinity" /></i></div>
                            {{else}}
                                {{#times item.ammoCount}}
                                    <div class="ammo-square {{#if (lt this item.ammoCount)}}filled{{else}}empty{{/if}}">
                                    </div>
                                {{/times}}
                            {{/if}}
                        </div>
                    {{/if}}
                </div>
            {{/if}}
        {{/each}}
    </div>
</div>
{{!-- </fieldset> --}}